// pages/mine/myJob/index.js
const app = getApp();
const commonUtil = require("../../../utils/commonUtil");
const dateUtil = require("../../../utils/dateUtil");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    recordList:[],
    inputVal:'',
    jobListSearchForm:{
      pageNum: 1,
			pageSize: 50,
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getList();
  },
  getList(){
      var that = this;
      wx.request({
        url: app.globalData.ip + "/yishoudan/common/order/list",
        method: "Post",
        data:that.data.jobListSearchForm,
        header: app.globalData.headers,
        success: function (res) {
          console.log(res);
          res.data.data.forEach((item,index) => {
              item['citys'] = commonUtil.setJobInfoPosition(item.storeDistrict);
              // item['genderRestrict'] = commonUtil.getGenderByMinAge(item.customJob.customJob);
              if (app.isNotEmptyCheck(item.minAge) && app.isNotEmptyCheck(item.maxAge)) {
                item["age"]  = item.minAge + "-" + item.maxAge + "岁";
              } else if (app.isNotEmptyCheck(item.minAge)) {
                item["age"]  = item.minAge + "岁以上";
              } else if (app.isNotEmptyCheck(item.maxAge)) {
                item["age"]  = item.maxAge + "岁以下";
              }
              item["createTime"] = dateUtil.formatDateYMDHM(item.createTime)
          })
          that.setData({
            recordList:res.data.data
          })
        }
      })
  },
  goDetail (e) {
    var that = this;

    console.log(e.currentTarget.dataset.id);
    if(e.currentTarget.dataset.recruitment != 1){
      wx.showToast({
        icon: "none",
        title: '该职位已停招',
        duration: 2000,
      });
      return
    }
    wx.navigateTo({
      url: "/pages/mine/jobDetail/index?storeJobId=" + e.currentTarget.dataset.id,
    });
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})